# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "debug-terminal"
author: "sector7"
category: ACME-TODD
description: |-
  Some miscreants have released a giant ACME Tactical Oceanic Disruption Ducky (TODD) into the ocean! We need your help to stop it ASAP! It seems that we can reach its access terminal. Can you figure out a way in from there?

  The main system's debug terminal is protected by a key. Can you find out what that key is?
value: 10
type: container

# The extra field provides additional fields for data during the install/sync commands/
# Fields in extra can be used to supply additional information for other challenge types
# For example the follow extra field is for dynamic challenges. To use these following
# extra fields, set the type to "dynamic" and uncomment the "extra" section below
# extra:
#     initial: 500
#     decay: 100
#     minimum: 50

# Settings used for Dockerfile deployment
# If not used, remove or set to null
# If you have a Dockerfile set to .
# If you have an imaged hosted on Docker set to the image url (e.g. python/3.8:latest, registry.gitlab.com/python/3.8:latest)
# Follow Docker best practices and assign a tag
image: null
# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null


# The URL for attachments, to be filled in by automation
attachement: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - CTF{e0f68aa32edd62245c228a900a64c563}

# Topics are used to help tell what techniques/information a challenge involves
# They are generally only visible to admins
# Accepts strings
topics:
    - information disclosure
    - buffer overflow
    - memory forensics

# Tags are used to provide additional public tagging to a challenge
# Can be removed if unused
# Accepts strings
tags:
    - pwn

# Provide paths to files from the same directory that this file is in
# Accepts strings
files:
    - files/access_terminal.zip
    - files/debug_terminal.elf
# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"

extra:
    initial: 10
    decay: 100
    minimum: 5

    challenge_type: web
    compose: | 
        version: '3.3'

        services:
          ctc2023-pwn-acme-todd:
            container_name: ctc2023-pwn-acme-todd
            image: registry.gitlab.com/jointcyberrange.nl/bazaar-of-ctfd-challenges/ctc2023-pwn-acme-todd
            ports:
              - 38712:38712
            labels:
              kompose.service.type: nodeport

